Loading...
Searching...
No Matches
driver_cuda.h File Reference
`#include <common/config.h>`
`#include <cuda.h>`
`#include <cuda_runtime_api.h>`
`#include <nvml.h>`
`#include <starpu.h>`
`#include <core/workers.h>`
`#include <datawizard/node_ops.h>`

Go to the source code of this file.

## Functions

void | _starpu_cuda_preinit (void)
void | _starpu_cuda_init (void)
unsigned | _starpu_get_cuda_device_count (void)
hwloc_obj_t | _starpu_cuda_get_hwloc_obj (hwloc_topology_t topology, int devid)
void | _starpu_cuda_discover_devices (struct _starpu_machine_config *)
void | _starpu_init_cuda_config (struct _starpu_machine_topology *topology, struct _starpu_machine_config *)
void | _starpu_cuda_init_worker_binding (struct _starpu_machine_config *config, int no_mp_config, struct _starpu_worker *workerarg)
void | _starpu_cuda_init_worker_memory (struct _starpu_machine_config *config, int no_mp_config, struct _starpu_worker *workerarg)
void | _starpu_init_cuda (void)
void | _starpu_init_cublas_v2_func (void)
void | _starpu_shutdown_cublas_v2_func (void)
void | _starpu_cublas_v2_init (void)
void | _starpu_cublas_v2_shutdown (void)
void * | _starpu_cuda_worker (void *)
nvmlDevice_t | _starpu_cuda_get_nvmldev (struct cudaDeviceProp *props)
| __typeof__ (nvmlInit) *_starpu_nvmlInit
| __typeof__ (nvmlDeviceGetNvLinkState) *_starpu_nvmlDeviceGetNvLinkState
| __typeof__ (nvmlDeviceGetNvLinkRemotePciInfo) *_starpu_nvmlDeviceGetNvLinkRemotePciInfo
| __typeof__ (nvmlDeviceGetHandleByIndex) *_starpu_nvmlDeviceGetHandleByIndex
| __typeof__ (nvmlDeviceGetHandleByPciBusId) *_starpu_nvmlDeviceGetHandleByPciBusId
| __typeof__ (nvmlDeviceGetIndex) *_starpu_nvmlDeviceGetIndex
| __typeof__ (nvmlDeviceGetPciInfo) *_starpu_nvmlDeviceGetPciInfo
| __typeof__ (nvmlDeviceGetUUID) *_starpu_nvmlDeviceGetUUID

## Variables

struct _starpu_driver_ops | _starpu_driver_cuda_ops
struct _starpu_node_ops | _starpu_driver_cuda_node_ops
int | _starpu_nworker_per_cuda
int | _starpu_cuda_bus_ids [STARPU_MAXCUDADEVS+STARPU_MAXNUMANODES][STARPU_MAXCUDADEVS+STARPU_MAXNUMANODES]